Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QCDEStyle

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QStyle
                      com.trolltech.qt.gui.QCommonStyle
                          com.trolltech.qt.gui.QMotifStyle
                              com.trolltech.qt.gui.QCDEStyle

All Implemented Interfaces:
  QtJambiInterface

    public class QCDEStyle

extends QMotifStyle

The `QCDEStyle` class provides a CDE look and feel. This style provides a slightly improved Motif look similar to some versions of the Common Desktop Environment (CDE). The main differences are thinner frames and more modern radio buttons and checkboxes. Together with a dark background and a bright text/foreground color, the style looks quite attractive (at least for Motif fans).

Note that most of the functions provided by `QCDEStyle` are reimplementations of `QStyle` functions; see `QStyle` for their documentation. `QCDEStyle` provides overloads for `drawControl()` and `drawPrimitive()` which are documented here.

See also:
  QWindowsXPStyle, QMacStyle, `QWindowsStyle`, `QPlastiqueStyle`, and `QMotifStyle`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyle
`QStyle.ComplexControl, QStyle.ContentsType, QStyle.ControlElement, QStyle.PixelMetric, QStyle.PrimitiveElement, QStyle.StandardPixmap, QStyle.State, QStyle.StateFlag, QStyle.StyleHint, QStyle.SubControl, QStyle.SubElement`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QCDEStyle()` Constructs a `QCDEStyle`.
`QCDEStyle(boolean useHighlightCols)` Constructs a `QCDEStyle`.

Method Summary
`static QCDEStyle` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QCDEStyle instance pointed to by `nativePointer`.

Methods inherited from class com.trolltech.qt.gui.QMotifStyle
`setUseHighlightColors, useHighlightColors`

Methods inherited from class com.trolltech.qt.gui.QStyle
`alignedRect, combinedLayoutSpacing, combinedLayoutSpacing, combinedLayoutSpacing, drawComplexControl, drawComplexControl, drawControl, drawControl, drawItemPixmap, drawItemText, drawItemText, drawPrimitive, drawPrimitive, generatedIconPixmap, hitTestComplexControl, hitTestComplexControl, itemPixmapRect, itemTextRect, layoutSpacing, layoutSpacing, layoutSpacing, layoutSpacingImplementation, layoutSpacingImplementation, layoutSpacingImplementation, pixelMetric, pixelMetric, pixelMetric, polish, polish, polish, sizeFromContents, sizeFromContents, sliderPositionFromValue, sliderPositionFromValue, sliderValueFromPosition, sliderValueFromPosition, standardIcon, standardIcon, standardIcon, standardIconImplementation, standardIconImplementation, standardIconImplementation, standardPalette, styleHint, styleHint, styleHint, styleHint, subControlRect, subControlRect, subElementRect, subElementRect, unpolish, unpolish, visualAlignment, visualAlignment, visualPos, visualRect`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QCDEStyle

    public QCDEStyle()

  Constructs a `QCDEStyle`.

  If `useHighlightCols` is false (the default), then the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### QCDEStyle

    public QCDEStyle(boolean useHighlightCols)

  Constructs a `QCDEStyle`.

  If `useHighlightCols` is false (the default), then the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

Method Detail

### fromNativePointer

    public static QCDEStyle fromNativePointer(QNativePointer nativePointer)

  This method returns the QCDEStyle instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD